1# Makefile.in generated by automake 1.15 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17# Copyright by The HDF Group.
18# Copyright by the Board of Trustees of the University of Illinois.
19# All rights reserved.
20#
21# This file is part of HDF5.  The full HDF5 copyright notice, including
22# terms governing use, modification, and redistribution, is contained in
23# the COPYING file, which can be found at the root of the source code
24# distribution tree, or in https://support.hdfgroup.org/ftp/HDF5/releases.
25# If you do not have access to either file, you may request a copy from
26# help@hdfgroup.org.
27#
28#
29#
30# HDF5 High-Level Test Makefile(.in)
31#
32
33VPATH = @srcdir@
34am__is_gnu_make = { \
35  if test -z '$(MAKELEVEL)'; then \
36    false; \
37  elif test -n '$(MAKE_HOST)'; then \
38    true; \
39  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
40    true; \
41  else \
42    false; \
43  fi; \
44}
45am__make_running_with_option = \
46  case $${target_option-} in \
47      ?) ;; \
48      *) echo "am__make_running_with_option: internal error: invalid" \
49              "target option '$${target_option-}' specified" >&2; \
50         exit 1;; \
51  esac; \
52  has_opt=no; \
53  sane_makeflags=$$MAKEFLAGS; \
54  if $(am__is_gnu_make); then \
55    sane_makeflags=$$MFLAGS; \
56  else \
57    case $$MAKEFLAGS in \
58      *\\[\ \	]*) \
59        bs=\\; \
60        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
61          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
62    esac; \
63  fi; \
64  skip_next=no; \
65  strip_trailopt () \
66  { \
67    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
68  }; \
69  for flg in $$sane_makeflags; do \
70    test $$skip_next = yes && { skip_next=no; continue; }; \
71    case $$flg in \
72      *=*|--*) continue;; \
73        -*I) strip_trailopt 'I'; skip_next=yes;; \
74      -*I?*) strip_trailopt 'I';; \
75        -*O) strip_trailopt 'O'; skip_next=yes;; \
76      -*O?*) strip_trailopt 'O';; \
77        -*l) strip_trailopt 'l'; skip_next=yes;; \
78      -*l?*) strip_trailopt 'l';; \
79      -[dEDm]) skip_next=yes;; \
80      -[JT]) skip_next=yes;; \
81    esac; \
82    case $$flg in \
83      *$$target_option*) has_opt=yes; break;; \
84    esac; \
85  done; \
86  test $$has_opt = yes
87am__make_dryrun = (target_option=n; $(am__make_running_with_option))
88am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
89pkgdatadir = $(datadir)/@PACKAGE@
90pkgincludedir = $(includedir)/@PACKAGE@
91pkglibdir = $(libdir)/@PACKAGE@
92pkglibexecdir = $(libexecdir)/@PACKAGE@
93am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
94install_sh_DATA = $(install_sh) -c -m 644
95install_sh_PROGRAM = $(install_sh) -c
96install_sh_SCRIPT = $(install_sh) -c
97INSTALL_HEADER = $(INSTALL_DATA)
98transform = $(program_transform_name)
99NORMAL_INSTALL = :
100PRE_INSTALL = :
101POST_INSTALL = :
102NORMAL_UNINSTALL = :
103PRE_UNINSTALL = :
104POST_UNINSTALL = :
105build_triplet = @build@
106host_triplet = @host@
107check_PROGRAMS = $(am__EXEEXT_1)
108@BUILD_ALL_CONDITIONAL_TRUE@noinst_PROGRAMS = $(am__EXEEXT_2)
109TESTS = $(am__EXEEXT_1)
110subdir = hl/test
111ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
112am__aclocal_m4_deps = $(top_srcdir)/m4/aclocal_cxx.m4 \
113	$(top_srcdir)/m4/aclocal_fc.m4 \
114	$(top_srcdir)/m4/ax_check_class.m4 \
115	$(top_srcdir)/m4/ax_check_classpath.m4 \
116	$(top_srcdir)/m4/ax_check_java_home.m4 \
117	$(top_srcdir)/m4/ax_check_junit.m4 \
118	$(top_srcdir)/m4/ax_java_options.m4 \
119	$(top_srcdir)/m4/ax_jni_include_dir.m4 \
120	$(top_srcdir)/m4/ax_prog_jar.m4 \
121	$(top_srcdir)/m4/ax_prog_java.m4 \
122	$(top_srcdir)/m4/ax_prog_java_works.m4 \
123	$(top_srcdir)/m4/ax_prog_javac.m4 \
124	$(top_srcdir)/m4/ax_prog_javac_works.m4 \
125	$(top_srcdir)/m4/ax_prog_javadoc.m4 \
126	$(top_srcdir)/m4/ax_try_compile_java.m4 \
127	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
128	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
129	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/configure.ac
130am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
131	$(ACLOCAL_M4)
132DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
133mkinstalldirs = $(install_sh) -d
134CONFIG_HEADER = $(top_builddir)/src/H5config.h \
135	$(top_builddir)/fortran/src/H5config_f.inc
136CONFIG_CLEAN_FILES = H5srcdir_str.h
137CONFIG_CLEAN_VPATH_FILES =
138am__EXEEXT_1 = test_lite$(EXEEXT) test_image$(EXEEXT) \
139	test_file_image$(EXEEXT) test_table$(EXEEXT) test_ds$(EXEEXT) \
140	test_packet$(EXEEXT) test_ld$(EXEEXT) \
141	test_dset_append$(EXEEXT) test_h5do_compat$(EXEEXT)
142am__EXEEXT_2 = gen_test_ds$(EXEEXT) gen_test_ld$(EXEEXT)
143PROGRAMS = $(noinst_PROGRAMS)
144gen_test_ds_SOURCES = gen_test_ds.c
145gen_test_ds_OBJECTS = gen_test_ds.$(OBJEXT)
146gen_test_ds_LDADD = $(LDADD)
147gen_test_ds_DEPENDENCIES = $(LIBH5_HL) $(LIBH5TEST) $(LIBHDF5)
148AM_V_lt = $(am__v_lt_@AM_V@)
149am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
150am__v_lt_0 = --silent
151am__v_lt_1 =
152gen_test_ld_SOURCES = gen_test_ld.c
153gen_test_ld_OBJECTS = gen_test_ld.$(OBJEXT)
154gen_test_ld_LDADD = $(LDADD)
155gen_test_ld_DEPENDENCIES = $(LIBH5_HL) $(LIBH5TEST) $(LIBHDF5)
156test_ds_SOURCES = test_ds.c
157test_ds_OBJECTS = test_ds.$(OBJEXT)
158test_ds_LDADD = $(LDADD)
159test_ds_DEPENDENCIES = $(LIBH5_HL) $(LIBH5TEST) $(LIBHDF5)
160test_dset_append_SOURCES = test_dset_append.c
161test_dset_append_OBJECTS = test_dset_append.$(OBJEXT)
162test_dset_append_LDADD = $(LDADD)
163test_dset_append_DEPENDENCIES = $(LIBH5_HL) $(LIBH5TEST) $(LIBHDF5)
164test_file_image_SOURCES = test_file_image.c
165test_file_image_OBJECTS = test_file_image.$(OBJEXT)
166test_file_image_LDADD = $(LDADD)
167test_file_image_DEPENDENCIES = $(LIBH5_HL) $(LIBH5TEST) $(LIBHDF5)
168test_h5do_compat_SOURCES = test_h5do_compat.c
169test_h5do_compat_OBJECTS = test_h5do_compat.$(OBJEXT)
170test_h5do_compat_LDADD = $(LDADD)
171test_h5do_compat_DEPENDENCIES = $(LIBH5_HL) $(LIBH5TEST) $(LIBHDF5)
172test_image_SOURCES = test_image.c
173test_image_OBJECTS = test_image.$(OBJEXT)
174test_image_LDADD = $(LDADD)
175test_image_DEPENDENCIES = $(LIBH5_HL) $(LIBH5TEST) $(LIBHDF5)
176test_ld_SOURCES = test_ld.c
177test_ld_OBJECTS = test_ld.$(OBJEXT)
178test_ld_LDADD = $(LDADD)
179test_ld_DEPENDENCIES = $(LIBH5_HL) $(LIBH5TEST) $(LIBHDF5)
180test_lite_SOURCES = test_lite.c
181test_lite_OBJECTS = test_lite.$(OBJEXT)
182test_lite_LDADD = $(LDADD)
183test_lite_DEPENDENCIES = $(LIBH5_HL) $(LIBH5TEST) $(LIBHDF5)
184am_test_packet_OBJECTS = test_packet.$(OBJEXT) \
185	test_packet_vlen.$(OBJEXT)
186test_packet_OBJECTS = $(am_test_packet_OBJECTS)
187test_packet_LDADD = $(LDADD)
188test_packet_DEPENDENCIES = $(LIBH5_HL) $(LIBH5TEST) $(LIBHDF5)
189test_table_SOURCES = test_table.c
190test_table_OBJECTS = test_table.$(OBJEXT)
191test_table_LDADD = $(LDADD)
192test_table_DEPENDENCIES = $(LIBH5_HL) $(LIBH5TEST) $(LIBHDF5)
193AM_V_P = $(am__v_P_@AM_V@)
194am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
195am__v_P_0 = false
196am__v_P_1 = :
197AM_V_GEN = $(am__v_GEN_@AM_V@)
198am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
199am__v_GEN_0 = @echo "  GEN     " $@;
200am__v_GEN_1 =
201AM_V_at = $(am__v_at_@AM_V@)
202am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
203am__v_at_0 = @
204am__v_at_1 =
205DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/src -I$(top_builddir)/fortran/src
206depcomp = $(SHELL) $(top_srcdir)/bin/depcomp
207am__depfiles_maybe = depfiles
208am__mv = mv -f
209COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
210	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
211LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
212	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
213	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
214	$(AM_CFLAGS) $(CFLAGS)
215AM_V_CC = $(am__v_CC_@AM_V@)
216am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
217am__v_CC_0 = @echo "  CC      " $@;
218am__v_CC_1 =
219CCLD = $(CC)
220LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
221	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
222	$(AM_LDFLAGS) $(LDFLAGS) -o $@
223AM_V_CCLD = $(am__v_CCLD_@AM_V@)
224am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
225am__v_CCLD_0 = @echo "  CCLD    " $@;
226am__v_CCLD_1 =
227SOURCES = gen_test_ds.c gen_test_ld.c test_ds.c test_dset_append.c \
228	test_file_image.c test_h5do_compat.c test_image.c test_ld.c \
229	test_lite.c $(test_packet_SOURCES) test_table.c
230DIST_SOURCES = gen_test_ds.c gen_test_ld.c test_ds.c \
231	test_dset_append.c test_file_image.c test_h5do_compat.c \
232	test_image.c test_ld.c test_lite.c $(test_packet_SOURCES) \
233	test_table.c
234am__can_run_installinfo = \
235  case $$AM_UPDATE_INFO_DIR in \
236    n|no|NO) false;; \
237    *) (install-info --version) >/dev/null 2>&1;; \
238  esac
239am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
240# Read a list of newline-separated strings from the standard input,
241# and print each of them once, without duplicates.  Input order is
242# *not* preserved.
243am__uniquify_input = $(AWK) '\
244  BEGIN { nonempty = 0; } \
245  { items[$$0] = 1; nonempty = 1; } \
246  END { if (nonempty) { for (i in items) print i; }; } \
247'
248# Make sure the list of sources is unique.  This is necessary because,
249# e.g., the same source file might be shared among _SOURCES variables
250# for different programs/libraries.
251am__define_uniq_tagged_files = \
252  list='$(am__tagged_files)'; \
253  unique=`for i in $$list; do \
254    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
255  done | $(am__uniquify_input)`
256ETAGS = etags
257CTAGS = ctags
258am__tty_colors_dummy = \
259  mgn= red= grn= lgn= blu= brg= std=; \
260  am__color_tests=no
261am__tty_colors = { \
262  $(am__tty_colors_dummy); \
263  if test "X$(AM_COLOR_TESTS)" = Xno; then \
264    am__color_tests=no; \
265  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
266    am__color_tests=yes; \
267  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
268    am__color_tests=yes; \
269  fi; \
270  if test $$am__color_tests = yes; then \
271    red=''; \
272    grn=''; \
273    lgn=''; \
274    blu=''; \
275    mgn=''; \
276    brg=''; \
277    std=''; \
278  fi; \
279}
280am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
281am__vpath_adj = case $$p in \
282    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
283    *) f=$$p;; \
284  esac;
285am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
286am__install_max = 40
287am__nobase_strip_setup = \
288  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
289am__nobase_strip = \
290  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
291am__nobase_list = $(am__nobase_strip_setup); \
292  for p in $$list; do echo "$$p $$p"; done | \
293  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
294  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
295    if (++n[$$2] == $(am__install_max)) \
296      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
297    END { for (dir in files) print dir, files[dir] }'
298am__base_list = \
299  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
300  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
301am__uninstall_files_from_dir = { \
302  test -z "$$files" \
303    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
304    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
305         $(am__cd) "$$dir" && rm -f $$files; }; \
306  }
307am__recheck_rx = ^[ 	]*:recheck:[ 	]*
308am__global_test_result_rx = ^[ 	]*:global-test-result:[ 	]*
309am__copy_in_global_log_rx = ^[ 	]*:copy-in-global-log:[ 	]*
310# A command that, given a newline-separated list of test names on the
311# standard input, print the name of the tests that are to be re-run
312# upon "make recheck".
313am__list_recheck_tests = $(AWK) '{ \
314  recheck = 1; \
315  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
316    { \
317      if (rc < 0) \
318        { \
319          if ((getline line2 < ($$0 ".log")) < 0) \
320	    recheck = 0; \
321          break; \
322        } \
323      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
324        { \
325          recheck = 0; \
326          break; \
327        } \
328      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
329        { \
330          break; \
331        } \
332    }; \
333  if (recheck) \
334    print $$0; \
335  close ($$0 ".trs"); \
336  close ($$0 ".log"); \
337}'
338# A command that, given a newline-separated list of test names on the
339# standard input, create the global log from their .trs and .log files.
340am__create_global_log = $(AWK) ' \
341function fatal(msg) \
342{ \
343  print "fatal: making $@: " msg | "cat >&2"; \
344  exit 1; \
345} \
346function rst_section(header) \
347{ \
348  print header; \
349  len = length(header); \
350  for (i = 1; i <= len; i = i + 1) \
351    printf "="; \
352  printf "\n\n"; \
353} \
354{ \
355  copy_in_global_log = 1; \
356  global_test_result = "RUN"; \
357  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
358    { \
359      if (rc < 0) \
360         fatal("failed to read from " $$0 ".trs"); \
361      if (line ~ /$(am__global_test_result_rx)/) \
362        { \
363          sub("$(am__global_test_result_rx)", "", line); \
364          sub("[ 	]*$$", "", line); \
365          global_test_result = line; \
366        } \
367      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
368        copy_in_global_log = 0; \
369    }; \
370  if (copy_in_global_log) \
371    { \
372      rst_section(global_test_result ": " $$0); \
373      while ((rc = (getline line < ($$0 ".log"))) != 0) \
374      { \
375        if (rc < 0) \
376          fatal("failed to read from " $$0 ".log"); \
377        print line; \
378      }; \
379      printf "\n"; \
380    }; \
381  close ($$0 ".trs"); \
382  close ($$0 ".log"); \
383}'
384# Restructured Text title.
385am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
386# Solaris 10 'make', and several other traditional 'make' implementations,
387# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
388# by disabling -e (using the XSI extension "set +e") if it's set.
389am__sh_e_setup = case $$- in *e*) set +e;; esac
390# Default flags passed to test drivers.
391am__common_driver_flags = \
392  --color-tests "$$am__color_tests" \
393  --enable-hard-errors "$$am__enable_hard_errors" \
394  --expect-failure "$$am__expect_failure"
395# To be inserted before the command running the test.  Creates the
396# directory for the log if needed.  Stores in $dir the directory
397# containing $f, in $tst the test, in $log the log.  Executes the
398# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
399# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
400# will run the test scripts (or their associated LOG_COMPILER, if
401# thy have one).
402am__check_pre = \
403$(am__sh_e_setup);					\
404$(am__vpath_adj_setup) $(am__vpath_adj)			\
405$(am__tty_colors);					\
406srcdir=$(srcdir); export srcdir;			\
407case "$@" in						\
408  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;	\
409    *) am__odir=.;; 					\
410esac;							\
411test "x$$am__odir" = x"." || test -d "$$am__odir" 	\
412  || $(MKDIR_P) "$$am__odir" || exit $$?;		\
413if test -f "./$$f"; then dir=./;			\
414elif test -f "$$f"; then dir=;				\
415else dir="$(srcdir)/"; fi;				\
416tst=$$dir$$f; log='$@'; 				\
417if test -n '$(DISABLE_HARD_ERRORS)'; then		\
418  am__enable_hard_errors=no; 				\
419else							\
420  am__enable_hard_errors=yes; 				\
421fi; 							\
422case " $(XFAIL_TESTS) " in				\
423  *[\ \	]$$f[\ \	]* | *[\ \	]$$dir$$f[\ \	]*) \
424    am__expect_failure=yes;;				\
425  *)							\
426    am__expect_failure=no;;				\
427esac; 							\
428$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
429# A shell command to get the names of the tests scripts with any registered
430# extension removed (i.e., equivalently, the names of the test logs, with
431# the '.log' extension removed).  The result is saved in the shell variable
432# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
433# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
434# since that might cause problem with VPATH rewrites for suffix-less tests.
435# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
436am__set_TESTS_bases = \
437  bases='$(TEST_LOGS)'; \
438  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
439  bases=`echo $$bases`
440RECHECK_LOGS = $(TEST_LOGS)
441AM_RECURSIVE_TARGETS = check recheck
442TEST_SUITE_LOG = test-suite.log
443LOG_DRIVER = $(SHELL) $(top_srcdir)/bin/test-driver
444LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
445am__set_b = \
446  case '$@' in \
447    */*) \
448      case '$*' in \
449        */*) b='$*';; \
450          *) b=`echo '$@' | sed 's/\.log$$//'`; \
451       esac;; \
452    *) \
453      b='$*';; \
454  esac
455am__test_logs1 = $(TESTS:=.log)
456am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
457TEST_LOGS = $(am__test_logs2:.sh.log=.log)
458SH_LOG_DRIVER = $(SHELL) $(top_srcdir)/bin/test-driver
459SH_LOG_COMPILE = $(SH_LOG_COMPILER) $(AM_SH_LOG_FLAGS) $(SH_LOG_FLAGS)
460am__DIST_COMMON = $(srcdir)/H5srcdir_str.h.in $(srcdir)/Makefile.in \
461	$(top_srcdir)/bin/depcomp $(top_srcdir)/bin/test-driver \
462	$(top_srcdir)/config/commence.am \
463	$(top_srcdir)/config/conclude.am COPYING
464DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
465ACLOCAL = @ACLOCAL@
466ADD_PARALLEL_FILES = @ADD_PARALLEL_FILES@
467AMTAR = @AMTAR@
468
469# H5_CFLAGS holds flags that should be used when building hdf5,
470# but which should not be exported to h5cc for building other programs.
471# AM_CFLAGS is an automake construct which should be used by Makefiles
472# instead of CFLAGS, as CFLAGS is reserved solely for the user to define.
473# This applies to FCFLAGS, CXXFLAGS, CPPFLAGS, and LDFLAGS as well.
474AM_CFLAGS = @AM_CFLAGS@ @H5_CFLAGS@
475
476# Add include directories to C preprocessor flags
477AM_CPPFLAGS = @AM_CPPFLAGS@ @H5_CPPFLAGS@ -I. -I$(srcdir) \
478	-I$(top_builddir)/src -I$(top_srcdir)/src \
479	-I$(top_builddir)/test -I$(top_srcdir)/test \
480	-I$(top_srcdir)/hl/src
481AM_CXXFLAGS = @AM_CXXFLAGS@ @H5_CXXFLAGS@
482AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
483AM_FCFLAGS = @AM_FCFLAGS@ @H5_FCFLAGS@
484AM_JAVACFLAGS = @AM_JAVACFLAGS@
485AM_JAVAFLAGS = @AM_JAVAFLAGS@
486AM_JNIFLAGS = @AM_JNIFLAGS@
487AM_LDFLAGS = @AM_LDFLAGS@ @H5_LDFLAGS@
488AR = @AR@
489AR_FLAGS = @AR_FLAGS@
490ASSERTS = @ASSERTS@
491AUTOCONF = @AUTOCONF@
492AUTOHEADER = @AUTOHEADER@
493AUTOMAKE = @AUTOMAKE@
494AWK = @AWK@
495BUILD_MODE = @BUILD_MODE@
496BYTESEX = @BYTESEX@
497CC = @CC@
498CCDEPMODE = @CCDEPMODE@
499CC_VERSION = @CC_VERSION@
500CFLAGS = @CFLAGS@
501CODESTACK = @CODESTACK@
502CONFIG_DATE = @CONFIG_DATE@
503CONFIG_MODE = @CONFIG_MODE@
504CONFIG_USER = @CONFIG_USER@
505CPP = @CPP@
506CPPFLAGS = @CPPFLAGS@
507CXX = @CXX@
508CXXCPP = @CXXCPP@
509CXXDEPMODE = @CXXDEPMODE@
510CXXFLAGS = @CXXFLAGS@
511CXX_VERSION = @CXX_VERSION@
512CYGPATH_W = @CYGPATH_W@
513DEFAULT_API_VERSION = @DEFAULT_API_VERSION@
514DEFS = @DEFS@
515DEPDIR = @DEPDIR@
516DEPRECATED_SYMBOLS = @DEPRECATED_SYMBOLS@
517DEV_WARNINGS = @DEV_WARNINGS@
518DIRECT_VFD = @DIRECT_VFD@
519DLLTOOL = @DLLTOOL@
520DSYMUTIL = @DSYMUTIL@
521DUMPBIN = @DUMPBIN@
522ECHO_C = @ECHO_C@
523ECHO_N = @ECHO_N@
524ECHO_T = @ECHO_T@
525EGREP = @EGREP@
526EXEEXT = @EXEEXT@
527EXTERNAL_FILTERS = @EXTERNAL_FILTERS@
528
529# Make sure that these variables are exported to the Makefiles
530F9XMODEXT = @F9XMODEXT@
531F9XMODFLAG = @F9XMODFLAG@
532F9XSUFFIXFLAG = @F9XSUFFIXFLAG@
533FC = @FC@
534FCFLAGS = @FCFLAGS@
535FCFLAGS_f90 = @FCFLAGS_f90@
536FCLIBS = @FCLIBS@
537FC_VERSION = @FC_VERSION@
538FGREP = @FGREP@
539FORTRAN_C_LONG_DOUBLE_IS_UNIQUE = @FORTRAN_C_LONG_DOUBLE_IS_UNIQUE@
540FORTRAN_HAVE_C_LONG_DOUBLE = @FORTRAN_HAVE_C_LONG_DOUBLE@
541FSEARCH_DIRS = @FSEARCH_DIRS@
542Fortran_COMPILER_ID = @Fortran_COMPILER_ID@
543GREP = @GREP@
544H5CONFIG_F_IKIND = @H5CONFIG_F_IKIND@
545H5CONFIG_F_NUM_IKIND = @H5CONFIG_F_NUM_IKIND@
546H5CONFIG_F_NUM_RKIND = @H5CONFIG_F_NUM_RKIND@
547H5CONFIG_F_RKIND = @H5CONFIG_F_RKIND@
548H5CONFIG_F_RKIND_SIZEOF = @H5CONFIG_F_RKIND_SIZEOF@
549H5_CFLAGS = @H5_CFLAGS@
550H5_CLASSPATH = @H5_CLASSPATH@
551H5_CPPFLAGS = @H5_CPPFLAGS@
552H5_CXXFLAGS = @H5_CXXFLAGS@
553H5_FCFLAGS = @H5_FCFLAGS@
554H5_FORTRAN_SHARED = @H5_FORTRAN_SHARED@
555H5_JAVACFLAGS = @H5_JAVACFLAGS@
556H5_JAVAFLAGS = @H5_JAVAFLAGS@
557H5_JNIFLAGS = @H5_JNIFLAGS@
558H5_LDFLAGS = @H5_LDFLAGS@
559H5_VERSION = @H5_VERSION@
560HADDR_T = @HADDR_T@
561HAVE_DMALLOC = @HAVE_DMALLOC@
562HAVE_Fortran_INTEGER_SIZEOF_16 = @HAVE_Fortran_INTEGER_SIZEOF_16@
563HAVE_LIBHDFS = @HAVE_LIBHDFS@
564HAVE_PTHREAD = @HAVE_PTHREAD@
565HDF5_HL = @HDF5_HL@
566HDF5_INTERFACES = @HDF5_INTERFACES@
567HDF5_TESTS = @HDF5_TESTS@
568HDF5_TOOLS = @HDF5_TOOLS@
569HDF_CXX = @HDF_CXX@
570HDF_FORTRAN = @HDF_FORTRAN@
571HDF_JAVA = @HDF_JAVA@
572HID_T = @HID_T@
573HL = @HL@
574HL_FOR = @HL_FOR@
575HSIZE_T = @HSIZE_T@
576HSSIZE_T = @HSSIZE_T@
577INSTALL = @INSTALL@
578INSTALL_DATA = @INSTALL_DATA@
579INSTALL_PROGRAM = @INSTALL_PROGRAM@
580INSTALL_SCRIPT = @INSTALL_SCRIPT@
581INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
582INSTRUMENT_LIBRARY = @INSTRUMENT_LIBRARY@
583INTERNAL_DEBUG_OUTPUT = @INTERNAL_DEBUG_OUTPUT@
584JAR = @JAR@
585JAVA = @JAVA@
586JAVAC = @JAVAC@
587JAVACFLAGS = @JAVACFLAGS@
588JAVADOC = @JAVADOC@
589JAVAFLAGS = @JAVAFLAGS@
590JAVAPREFIX = @JAVAPREFIX@
591JAVA_JUNIT = @JAVA_JUNIT@
592JAVA_PATH_NAME = @JAVA_PATH_NAME@
593JAVA_VERSION = @JAVA_VERSION@
594JNIFLAGS = @JNIFLAGS@
595JNI_LDFLAGS = @JNI_LDFLAGS@
596JUNIT = @JUNIT@
597LARGE_PARALLEL_IO = @LARGE_PARALLEL_IO@
598LD = @LD@
599LDFLAGS = @LDFLAGS@
600LIBOBJS = @LIBOBJS@
601LIBS = @LIBS@
602LIBTOOL = @LIBTOOL@
603LIPO = @LIPO@
604LL_PATH = @LL_PATH@
605LN_S = @LN_S@
606LTLIBOBJS = @LTLIBOBJS@
607LT_STATIC_EXEC = @LT_STATIC_EXEC@
608LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
609MAINT = @MAINT@
610MAKEINFO = @MAKEINFO@
611MANIFEST_TOOL = @MANIFEST_TOOL@
612MEMORYALLOCSANITYCHECK = @MEMORYALLOCSANITYCHECK@
613MKDIR_P = @MKDIR_P@
614MPE = @MPE@
615NM = @NM@
616NMEDIT = @NMEDIT@
617OBJDUMP = @OBJDUMP@
618OBJECT_NAMELEN_DEFAULT_F = @OBJECT_NAMELEN_DEFAULT_F@
619OBJEXT = @OBJEXT@
620OPTIMIZATION = @OPTIMIZATION@
621OTOOL = @OTOOL@
622OTOOL64 = @OTOOL64@
623PACKAGE = @PACKAGE@
624PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
625PACKAGE_NAME = @PACKAGE_NAME@
626PACKAGE_STRING = @PACKAGE_STRING@
627PACKAGE_TARNAME = @PACKAGE_TARNAME@
628PACKAGE_URL = @PACKAGE_URL@
629PACKAGE_VERSION = @PACKAGE_VERSION@
630PAC_C_MAX_REAL_PRECISION = @PAC_C_MAX_REAL_PRECISION@
631PAC_FC_ALL_INTEGER_KINDS = @PAC_FC_ALL_INTEGER_KINDS@
632PAC_FC_ALL_INTEGER_KINDS_SIZEOF = @PAC_FC_ALL_INTEGER_KINDS_SIZEOF@
633PAC_FC_ALL_REAL_KINDS = @PAC_FC_ALL_REAL_KINDS@
634PAC_FC_ALL_REAL_KINDS_SIZEOF = @PAC_FC_ALL_REAL_KINDS_SIZEOF@
635PAC_FC_MAX_REAL_PRECISION = @PAC_FC_MAX_REAL_PRECISION@
636PAC_FORTRAN_NATIVE_DOUBLE_KIND = @PAC_FORTRAN_NATIVE_DOUBLE_KIND@
637PAC_FORTRAN_NATIVE_DOUBLE_SIZEOF = @PAC_FORTRAN_NATIVE_DOUBLE_SIZEOF@
638PAC_FORTRAN_NATIVE_INTEGER_KIND = @PAC_FORTRAN_NATIVE_INTEGER_KIND@
639PAC_FORTRAN_NATIVE_INTEGER_SIZEOF = @PAC_FORTRAN_NATIVE_INTEGER_SIZEOF@
640PAC_FORTRAN_NATIVE_REAL_KIND = @PAC_FORTRAN_NATIVE_REAL_KIND@
641PAC_FORTRAN_NATIVE_REAL_SIZEOF = @PAC_FORTRAN_NATIVE_REAL_SIZEOF@
642PAC_FORTRAN_NUM_INTEGER_KINDS = @PAC_FORTRAN_NUM_INTEGER_KINDS@
643PARALLEL = @PARALLEL@
644PARALLEL_FILTERED_WRITES = @PARALLEL_FILTERED_WRITES@
645PATH_SEPARATOR = @PATH_SEPARATOR@
646PREADWRITE = @PREADWRITE@
647PROFILING = @PROFILING@
648RANLIB = @RANLIB@
649ROOT = @ROOT@
650ROS3_VFD = @ROS3_VFD@
651RUNPARALLEL = @RUNPARALLEL@
652RUNSERIAL = @RUNSERIAL@
653R_INTEGER = @R_INTEGER@
654R_LARGE = @R_LARGE@
655SEARCH = @SEARCH@
656SED = @SED@
657SET_MAKE = @SET_MAKE@
658SHELL = @SHELL@
659SIZE_T = @SIZE_T@
660STATIC_EXEC = @STATIC_EXEC@
661STATIC_SHARED = @STATIC_SHARED@
662STRICT_FORMAT_CHECKS = @STRICT_FORMAT_CHECKS@
663STRIP = @STRIP@
664SYMBOLS = @SYMBOLS@
665TESTPARALLEL = @TESTPARALLEL@
666TESTS_JUNIT = @TESTS_JUNIT@
667THREADSAFE = @THREADSAFE@
668TIME = @TIME@
669TR = @TR@
670TRACE_API = @TRACE_API@
671UNAME_INFO = @UNAME_INFO@
672USE_FILTER_DEFLATE = @USE_FILTER_DEFLATE@
673USE_FILTER_SZIP = @USE_FILTER_SZIP@
674USINGMEMCHECKER = @USINGMEMCHECKER@
675VERSION = @VERSION@
676WORDS_BIGENDIAN = @WORDS_BIGENDIAN@
677_ACJNI_JAVAC = @_ACJNI_JAVAC@
678abs_builddir = @abs_builddir@
679abs_srcdir = @abs_srcdir@
680abs_top_builddir = @abs_top_builddir@
681abs_top_srcdir = @abs_top_srcdir@
682ac_ct_AR = @ac_ct_AR@
683ac_ct_CC = @ac_ct_CC@
684ac_ct_CXX = @ac_ct_CXX@
685ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
686ac_ct_FC = @ac_ct_FC@
687am__include = @am__include@
688am__leading_dot = @am__leading_dot@
689am__quote = @am__quote@
690am__tar = @am__tar@
691am__untar = @am__untar@
692bindir = @bindir@
693build = @build@
694build_alias = @build_alias@
695build_cpu = @build_cpu@
696build_os = @build_os@
697build_vendor = @build_vendor@
698builddir = @builddir@
699datadir = @datadir@
700datarootdir = @datarootdir@
701
702# Install directories that automake doesn't know about
703docdir = $(exec_prefix)/doc
704dvidir = @dvidir@
705enable_shared = @enable_shared@
706enable_static = @enable_static@
707exec_prefix = @exec_prefix@
708fortran_linux_linker_option = @fortran_linux_linker_option@
709host = @host@
710host_alias = @host_alias@
711host_cpu = @host_cpu@
712host_os = @host_os@
713host_vendor = @host_vendor@
714htmldir = @htmldir@
715includedir = @includedir@
716infodir = @infodir@
717install_sh = @install_sh@
718libdir = @libdir@
719libexecdir = @libexecdir@
720localedir = @localedir@
721localstatedir = @localstatedir@
722mandir = @mandir@
723mkdir_p = @mkdir_p@
724oldincludedir = @oldincludedir@
725pdfdir = @pdfdir@
726prefix = @prefix@
727program_transform_name = @program_transform_name@
728psdir = @psdir@
729sbindir = @sbindir@
730sharedstatedir = @sharedstatedir@
731srcdir = @srcdir@
732sysconfdir = @sysconfdir@
733target_alias = @target_alias@
734top_build_prefix = @top_build_prefix@
735top_builddir = @top_builddir@
736top_srcdir = @top_srcdir@
737
738# Shell commands used in Makefiles
739RM = rm -f
740CP = cp
741
742# Some machines need a command to run executables; this is that command
743# so that our tests will run.
744# We use RUNEXEC instead of RUNSERIAL directly because it may be that
745# some tests need to be run with a different command.  Older versions
746# of the makefiles used the command
747# $(LIBTOOL) --mode=execute
748# in some directories, for instance.
749RUNEXEC = $(RUNSERIAL)
750
751# Libraries to link to while building
752LIBHDF5 = $(top_builddir)/src/libhdf5.la
753LIBH5TEST = $(top_builddir)/test/libh5test.la
754LIBH5F = $(top_builddir)/fortran/src/libhdf5_fortran.la
755LIBH5FTEST = $(top_builddir)/fortran/test/libh5test_fortran.la
756LIBH5CPP = $(top_builddir)/c++/src/libhdf5_cpp.la
757LIBH5JNI = $(top_builddir)/java/src/jni/libhdf5_java.la
758LIBH5TOOLS = $(top_builddir)/tools/lib/libh5tools.la
759LIBH5_HL = $(top_builddir)/hl/src/libhdf5_hl.la
760LIBH5F_HL = $(top_builddir)/hl/fortran/src/libhdf5hl_fortran.la
761LIBH5CPP_HL = $(top_builddir)/hl/c++/src/libhdf5_hl_cpp.la
762
763# Note that in svn revision 19400 the '/' after DESTDIR in H5* variables below
764# has been removed. According to the official description of DESTDIR by Gnu at
765# http://www.gnu.org/prep/standards/html_node/DESTDIR.html, DESTDIR is
766# prepended to the normal and complete install path that it precedes for the
767# purpose of installing in a temporary directory which is useful for building
768# rpms and other packages.  The '/' after ${DESTDIR} will be followed by another
769# '/' at the beginning of the normal install path.  When DESTDIR is empty the
770# path then begins with '//', which is incorrect and causes problems at least for
771# Cygwin.
772
773# Scripts used to build examples
774# If only shared libraries have been installed, have h5cc build examples with
775# shared libraries instead of static libraries
776H5CC = ${DESTDIR}$(bindir)/h5cc
777H5CC_PP = ${DESTDIR}$(bindir)/h5pcc
778H5FC = ${DESTDIR}$(bindir)/h5fc
779H5FC_PP = ${DESTDIR}$(bindir)/h5pfc
780H5CPP = ${DESTDIR}$(bindir)/h5c++
781ACLOCAL_AMFLAGS = "-I m4"
782
783# The trace script; this is used on source files from the C library to
784# insert tracing macros.
785TRACE = perl $(top_srcdir)/bin/trace
786
787# .chkexe files are used to mark tests that have run successfully.
788# .chklog files are output from those tests.
789# *.clog and *.clog2 are from the MPE option.
790
791# Temporary files.  These files are the ones created by running `make test'.
792CHECK_CLEANFILES = *.chkexe *.chklog *.clog *.clog2 \
793	combine_tables[1-2].h5 test_ds[1-9].h5 test_ds10.h5 \
794	test_image[1-3].h5 file_img[1-2].h5 test_lite[1-4].h5 \
795	test_table.h5 test_packet_table.h5 test_packet_compress.h5 \
796	test_detach.h5 test_packet_table_vlen.h5 \
797	testfl_packet_table_vlen.h5 test_append.h5 h5do_compat.h5
798
799# The tests depend on the hdf5, hdf5 test,  and hdf5_hl libraries
800LDADD = $(LIBH5_HL) $(LIBH5TEST) $(LIBHDF5)
801
802# Test programs.  These are our main targets.  They should be listed in the
803# order to be executed, generally most specific tests to least specific tests.
804TEST_PROG = test_lite test_image test_file_image test_table test_ds test_packet \
805	test_ld test_dset_append test_h5do_compat
806
807
808# These programs generate test files for the tests.  They don't need to be
809# compiled every time we want to test the library.  However, putting
810# them in a conditional causes automake to generate rules so that they
811# can be built by hand.  They can also be built by specifying
812# --enable-build-all at configure time.
813BUILD_ALL_PROGS = gen_test_ds gen_test_ld
814
815# Sources for test_packet executable
816test_packet_SOURCES = test_packet.c test_packet_vlen.c
817
818# Automake needs to be taught how to build lib, progs and tests targets.
819# These will be filled in automatically for the most part (e.g.,
820# lib_LIBRARIES are built for lib target), but EXTRA_LIB, EXTRA_PROG, and
821# EXTRA_TEST variables are supplied to allow the user to force targets to
822# be built at certain times.
823LIB = $(lib_LIBRARIES) $(lib_LTLIBRARIES) $(noinst_LIBRARIES)                 \
824      $(noinst_LTLIBRARIES) $(check_LIBRARIES) $(check_LTLIBRARIES) $(EXTRA_LIB)
825
826PROGS = $(bin_PROGRAMS) $(bin_SCRIPTS) $(noinst_PROGRAMS) $(noinst_SCRIPTS)   \
827        $(EXTRA_PROG)
828
829chk_TESTS = $(check_PROGRAMS) $(check_SCRIPTS) $(EXTRA_TEST)
830TEST_EXTENSIONS = .sh
831SH_LOG_COMPILER = $(SHELL)
832AM_SH_LOG_FLAGS =
833REALTIMEOUTPUT = $(realtimeOutput)
834TEST_PROG_CHKEXE = $(TEST_PROG:=.chkexe_)
835TEST_PROG_PARA_CHKEXE = $(TEST_PROG_PARA:=.chkexe_)
836TEST_SCRIPT_CHKSH = $(TEST_SCRIPT:=.chkexe_)
837TEST_SCRIPT_PARA_CHKSH = $(TEST_SCRIPT_PARA:=.chkexe_)
838all: all-am
839
840.SUFFIXES:
841.SUFFIXES: .c .lo .log .o .obj .sh .sh$(EXEEXT) .trs
842$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/config/commence.am $(top_srcdir)/config/conclude.am $(am__configure_deps)
843	@for dep in $?; do \
844	  case '$(am__configure_deps)' in \
845	    *$$dep*) \
846	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
847	        && { if test -f $@; then exit 0; else break; fi; }; \
848	      exit 1;; \
849	  esac; \
850	done; \
851	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign hl/test/Makefile'; \
852	$(am__cd) $(top_srcdir) && \
853	  $(AUTOMAKE) --foreign hl/test/Makefile
854Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
855	@case '$?' in \
856	  *config.status*) \
857	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
858	  *) \
859	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
860	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
861	esac;
862$(top_srcdir)/config/commence.am $(top_srcdir)/config/conclude.am $(am__empty):
863
864$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
865	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
866
867$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
868	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
869$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
870	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
871$(am__aclocal_m4_deps):
872H5srcdir_str.h: $(top_builddir)/config.status $(srcdir)/H5srcdir_str.h.in
873	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
874
875clean-checkPROGRAMS:
876	@list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
877	echo " rm -f" $$list; \
878	rm -f $$list || exit $$?; \
879	test -n "$(EXEEXT)" || exit 0; \
880	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
881	echo " rm -f" $$list; \
882	rm -f $$list
883
884clean-noinstPROGRAMS:
885	@list='$(noinst_PROGRAMS)'; test -n "$$list" || exit 0; \
886	echo " rm -f" $$list; \
887	rm -f $$list || exit $$?; \
888	test -n "$(EXEEXT)" || exit 0; \
889	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
890	echo " rm -f" $$list; \
891	rm -f $$list
892
893gen_test_ds$(EXEEXT): $(gen_test_ds_OBJECTS) $(gen_test_ds_DEPENDENCIES) $(EXTRA_gen_test_ds_DEPENDENCIES)
894	@rm -f gen_test_ds$(EXEEXT)
895	$(AM_V_CCLD)$(LINK) $(gen_test_ds_OBJECTS) $(gen_test_ds_LDADD) $(LIBS)
896
897gen_test_ld$(EXEEXT): $(gen_test_ld_OBJECTS) $(gen_test_ld_DEPENDENCIES) $(EXTRA_gen_test_ld_DEPENDENCIES)
898	@rm -f gen_test_ld$(EXEEXT)
899	$(AM_V_CCLD)$(LINK) $(gen_test_ld_OBJECTS) $(gen_test_ld_LDADD) $(LIBS)
900
901test_ds$(EXEEXT): $(test_ds_OBJECTS) $(test_ds_DEPENDENCIES) $(EXTRA_test_ds_DEPENDENCIES)
902	@rm -f test_ds$(EXEEXT)
903	$(AM_V_CCLD)$(LINK) $(test_ds_OBJECTS) $(test_ds_LDADD) $(LIBS)
904
905test_dset_append$(EXEEXT): $(test_dset_append_OBJECTS) $(test_dset_append_DEPENDENCIES) $(EXTRA_test_dset_append_DEPENDENCIES)
906	@rm -f test_dset_append$(EXEEXT)
907	$(AM_V_CCLD)$(LINK) $(test_dset_append_OBJECTS) $(test_dset_append_LDADD) $(LIBS)
908
909test_file_image$(EXEEXT): $(test_file_image_OBJECTS) $(test_file_image_DEPENDENCIES) $(EXTRA_test_file_image_DEPENDENCIES)
910	@rm -f test_file_image$(EXEEXT)
911	$(AM_V_CCLD)$(LINK) $(test_file_image_OBJECTS) $(test_file_image_LDADD) $(LIBS)
912
913test_h5do_compat$(EXEEXT): $(test_h5do_compat_OBJECTS) $(test_h5do_compat_DEPENDENCIES) $(EXTRA_test_h5do_compat_DEPENDENCIES)
914	@rm -f test_h5do_compat$(EXEEXT)
915	$(AM_V_CCLD)$(LINK) $(test_h5do_compat_OBJECTS) $(test_h5do_compat_LDADD) $(LIBS)
916
917test_image$(EXEEXT): $(test_image_OBJECTS) $(test_image_DEPENDENCIES) $(EXTRA_test_image_DEPENDENCIES)
918	@rm -f test_image$(EXEEXT)
919	$(AM_V_CCLD)$(LINK) $(test_image_OBJECTS) $(test_image_LDADD) $(LIBS)
920
921test_ld$(EXEEXT): $(test_ld_OBJECTS) $(test_ld_DEPENDENCIES) $(EXTRA_test_ld_DEPENDENCIES)
922	@rm -f test_ld$(EXEEXT)
923	$(AM_V_CCLD)$(LINK) $(test_ld_OBJECTS) $(test_ld_LDADD) $(LIBS)
924
925test_lite$(EXEEXT): $(test_lite_OBJECTS) $(test_lite_DEPENDENCIES) $(EXTRA_test_lite_DEPENDENCIES)
926	@rm -f test_lite$(EXEEXT)
927	$(AM_V_CCLD)$(LINK) $(test_lite_OBJECTS) $(test_lite_LDADD) $(LIBS)
928
929test_packet$(EXEEXT): $(test_packet_OBJECTS) $(test_packet_DEPENDENCIES) $(EXTRA_test_packet_DEPENDENCIES)
930	@rm -f test_packet$(EXEEXT)
931	$(AM_V_CCLD)$(LINK) $(test_packet_OBJECTS) $(test_packet_LDADD) $(LIBS)
932
933test_table$(EXEEXT): $(test_table_OBJECTS) $(test_table_DEPENDENCIES) $(EXTRA_test_table_DEPENDENCIES)
934	@rm -f test_table$(EXEEXT)
935	$(AM_V_CCLD)$(LINK) $(test_table_OBJECTS) $(test_table_LDADD) $(LIBS)
936
937mostlyclean-compile:
938	-rm -f *.$(OBJEXT)
939
940distclean-compile:
941	-rm -f *.tab.c
942
943@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gen_test_ds.Po@am__quote@
944@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gen_test_ld.Po@am__quote@
945@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_ds.Po@am__quote@
946@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_dset_append.Po@am__quote@
947@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_file_image.Po@am__quote@
948@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_h5do_compat.Po@am__quote@
949@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_image.Po@am__quote@
950@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_ld.Po@am__quote@
951@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_lite.Po@am__quote@
952@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_packet.Po@am__quote@
953@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_packet_vlen.Po@am__quote@
954@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_table.Po@am__quote@
955
956.c.o:
957@am__fastdepCC_TRUE@	$(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
958@am__fastdepCC_TRUE@	$(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
959@am__fastdepCC_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
960@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
961@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
962@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
963
964.c.obj:
965@am__fastdepCC_TRUE@	$(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
966@am__fastdepCC_TRUE@	$(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
967@am__fastdepCC_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
968@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
969@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
970@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
971
972.c.lo:
973@am__fastdepCC_TRUE@	$(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
974@am__fastdepCC_TRUE@	$(LTCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
975@am__fastdepCC_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Plo
976@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
977@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
978@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
979
980mostlyclean-libtool:
981	-rm -f *.lo
982
983clean-libtool:
984	-rm -rf .libs _libs
985
986ID: $(am__tagged_files)
987	$(am__define_uniq_tagged_files); mkid -fID $$unique
988tags: tags-am
989TAGS: tags
990
991tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
992	set x; \
993	here=`pwd`; \
994	$(am__define_uniq_tagged_files); \
995	shift; \
996	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
997	  test -n "$$unique" || unique=$$empty_fix; \
998	  if test $$# -gt 0; then \
999	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1000	      "$$@" $$unique; \
1001	  else \
1002	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1003	      $$unique; \
1004	  fi; \
1005	fi
1006ctags: ctags-am
1007
1008CTAGS: ctags
1009ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1010	$(am__define_uniq_tagged_files); \
1011	test -z "$(CTAGS_ARGS)$$unique" \
1012	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1013	     $$unique
1014
1015GTAGS:
1016	here=`$(am__cd) $(top_builddir) && pwd` \
1017	  && $(am__cd) $(top_srcdir) \
1018	  && gtags -i $(GTAGS_ARGS) "$$here"
1019cscopelist: cscopelist-am
1020
1021cscopelist-am: $(am__tagged_files)
1022	list='$(am__tagged_files)'; \
1023	case "$(srcdir)" in \
1024	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
1025	  *) sdir=$(subdir)/$(srcdir) ;; \
1026	esac; \
1027	for i in $$list; do \
1028	  if test -f "$$i"; then \
1029	    echo "$(subdir)/$$i"; \
1030	  else \
1031	    echo "$$sdir/$$i"; \
1032	  fi; \
1033	done >> $(top_builddir)/cscope.files
1034
1035distclean-tags:
1036	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1037
1038# Recover from deleted '.trs' file; this should ensure that
1039# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
1040# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
1041# to avoid problems with "make -n".
1042.log.trs:
1043	rm -f $< $@
1044	$(MAKE) $(AM_MAKEFLAGS) $<
1045
1046# Leading 'am--fnord' is there to ensure the list of targets does not
1047# expand to empty, as could happen e.g. with make check TESTS=''.
1048am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
1049am--force-recheck:
1050	@:
1051
1052$(TEST_SUITE_LOG): $(TEST_LOGS)
1053	@$(am__set_TESTS_bases); \
1054	am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
1055	redo_bases=`for i in $$bases; do \
1056	              am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
1057	            done`; \
1058	if test -n "$$redo_bases"; then \
1059	  redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
1060	  redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
1061	  if $(am__make_dryrun); then :; else \
1062	    rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
1063	  fi; \
1064	fi; \
1065	if test -n "$$am__remaking_logs"; then \
1066	  echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
1067	       "recursion detected" >&2; \
1068	elif test -n "$$redo_logs"; then \
1069	  am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
1070	fi; \
1071	if $(am__make_dryrun); then :; else \
1072	  st=0;  \
1073	  errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
1074	  for i in $$redo_bases; do \
1075	    test -f $$i.trs && test -r $$i.trs \
1076	      || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
1077	    test -f $$i.log && test -r $$i.log \
1078	      || { echo "$$errmsg $$i.log" >&2; st=1; }; \
1079	  done; \
1080	  test $$st -eq 0 || exit 1; \
1081	fi
1082	@$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
1083	ws='[ 	]'; \
1084	results=`for b in $$bases; do echo $$b.trs; done`; \
1085	test -n "$$results" || results=/dev/null; \
1086	all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
1087	pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
1088	fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
1089	skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
1090	xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
1091	xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
1092	error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
1093	if test `expr $$fail + $$xpass + $$error` -eq 0; then \
1094	  success=true; \
1095	else \
1096	  success=false; \
1097	fi; \
1098	br='==================='; br=$$br$$br$$br$$br; \
1099	result_count () \
1100	{ \
1101	    if test x"$$1" = x"--maybe-color"; then \
1102	      maybe_colorize=yes; \
1103	    elif test x"$$1" = x"--no-color"; then \
1104	      maybe_colorize=no; \
1105	    else \
1106	      echo "$@: invalid 'result_count' usage" >&2; exit 4; \
1107	    fi; \
1108	    shift; \
1109	    desc=$$1 count=$$2; \
1110	    if test $$maybe_colorize = yes && test $$count -gt 0; then \
1111	      color_start=$$3 color_end=$$std; \
1112	    else \
1113	      color_start= color_end=; \
1114	    fi; \
1115	    echo "$${color_start}# $$desc $$count$${color_end}"; \
1116	}; \
1117	create_testsuite_report () \
1118	{ \
1119	  result_count $$1 "TOTAL:" $$all   "$$brg"; \
1120	  result_count $$1 "PASS: " $$pass  "$$grn"; \
1121	  result_count $$1 "SKIP: " $$skip  "$$blu"; \
1122	  result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
1123	  result_count $$1 "FAIL: " $$fail  "$$red"; \
1124	  result_count $$1 "XPASS:" $$xpass "$$red"; \
1125	  result_count $$1 "ERROR:" $$error "$$mgn"; \
1126	}; \
1127	{								\
1128	  echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |	\
1129	    $(am__rst_title);						\
1130	  create_testsuite_report --no-color;				\
1131	  echo;								\
1132	  echo ".. contents:: :depth: 2";				\
1133	  echo;								\
1134	  for b in $$bases; do echo $$b; done				\
1135	    | $(am__create_global_log);					\
1136	} >$(TEST_SUITE_LOG).tmp || exit 1;				\
1137	mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);			\
1138	if $$success; then						\
1139	  col="$$grn";							\
1140	 else								\
1141	  col="$$red";							\
1142	  test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);		\
1143	fi;								\
1144	echo "$${col}$$br$${std}"; 					\
1145	echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";	\
1146	echo "$${col}$$br$${std}"; 					\
1147	create_testsuite_report --maybe-color;				\
1148	echo "$$col$$br$$std";						\
1149	if $$success; then :; else					\
1150	  echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";		\
1151	  if test -n "$(PACKAGE_BUGREPORT)"; then			\
1152	    echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}";	\
1153	  fi;								\
1154	  echo "$$col$$br$$std";					\
1155	fi;								\
1156	$$success || exit 1
1157recheck: all $(check_PROGRAMS)
1158	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1159	@set +e; $(am__set_TESTS_bases); \
1160	bases=`for i in $$bases; do echo $$i; done \
1161	         | $(am__list_recheck_tests)` || exit 1; \
1162	log_list=`for i in $$bases; do echo $$i.log; done`; \
1163	log_list=`echo $$log_list`; \
1164	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1165	        am__force_recheck=am--force-recheck \
1166	        TEST_LOGS="$$log_list"; \
1167	exit $$?
1168test_lite.log: test_lite$(EXEEXT)
1169	@p='test_lite$(EXEEXT)'; \
1170	b='test_lite'; \
1171	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1172	--log-file $$b.log --trs-file $$b.trs \
1173	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1174	"$$tst" $(AM_TESTS_FD_REDIRECT)
1175test_image.log: test_image$(EXEEXT)
1176	@p='test_image$(EXEEXT)'; \
1177	b='test_image'; \
1178	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1179	--log-file $$b.log --trs-file $$b.trs \
1180	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1181	"$$tst" $(AM_TESTS_FD_REDIRECT)
1182test_file_image.log: test_file_image$(EXEEXT)
1183	@p='test_file_image$(EXEEXT)'; \
1184	b='test_file_image'; \
1185	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1186	--log-file $$b.log --trs-file $$b.trs \
1187	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1188	"$$tst" $(AM_TESTS_FD_REDIRECT)
1189test_table.log: test_table$(EXEEXT)
1190	@p='test_table$(EXEEXT)'; \
1191	b='test_table'; \
1192	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1193	--log-file $$b.log --trs-file $$b.trs \
1194	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1195	"$$tst" $(AM_TESTS_FD_REDIRECT)
1196test_ds.log: test_ds$(EXEEXT)
1197	@p='test_ds$(EXEEXT)'; \
1198	b='test_ds'; \
1199	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1200	--log-file $$b.log --trs-file $$b.trs \
1201	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1202	"$$tst" $(AM_TESTS_FD_REDIRECT)
1203test_packet.log: test_packet$(EXEEXT)
1204	@p='test_packet$(EXEEXT)'; \
1205	b='test_packet'; \
1206	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1207	--log-file $$b.log --trs-file $$b.trs \
1208	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1209	"$$tst" $(AM_TESTS_FD_REDIRECT)
1210test_ld.log: test_ld$(EXEEXT)
1211	@p='test_ld$(EXEEXT)'; \
1212	b='test_ld'; \
1213	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1214	--log-file $$b.log --trs-file $$b.trs \
1215	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1216	"$$tst" $(AM_TESTS_FD_REDIRECT)
1217test_dset_append.log: test_dset_append$(EXEEXT)
1218	@p='test_dset_append$(EXEEXT)'; \
1219	b='test_dset_append'; \
1220	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1221	--log-file $$b.log --trs-file $$b.trs \
1222	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1223	"$$tst" $(AM_TESTS_FD_REDIRECT)
1224test_h5do_compat.log: test_h5do_compat$(EXEEXT)
1225	@p='test_h5do_compat$(EXEEXT)'; \
1226	b='test_h5do_compat'; \
1227	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1228	--log-file $$b.log --trs-file $$b.trs \
1229	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1230	"$$tst" $(AM_TESTS_FD_REDIRECT)
1231.sh.log:
1232	@p='$<'; \
1233	$(am__set_b); \
1234	$(am__check_pre) $(SH_LOG_DRIVER) --test-name "$$f" \
1235	--log-file $$b.log --trs-file $$b.trs \
1236	$(am__common_driver_flags) $(AM_SH_LOG_DRIVER_FLAGS) $(SH_LOG_DRIVER_FLAGS) -- $(SH_LOG_COMPILE) \
1237	"$$tst" $(AM_TESTS_FD_REDIRECT)
1238@am__EXEEXT_TRUE@.sh$(EXEEXT).log:
1239@am__EXEEXT_TRUE@	@p='$<'; \
1240@am__EXEEXT_TRUE@	$(am__set_b); \
1241@am__EXEEXT_TRUE@	$(am__check_pre) $(SH_LOG_DRIVER) --test-name "$$f" \
1242@am__EXEEXT_TRUE@	--log-file $$b.log --trs-file $$b.trs \
1243@am__EXEEXT_TRUE@	$(am__common_driver_flags) $(AM_SH_LOG_DRIVER_FLAGS) $(SH_LOG_DRIVER_FLAGS) -- $(SH_LOG_COMPILE) \
1244@am__EXEEXT_TRUE@	"$$tst" $(AM_TESTS_FD_REDIRECT)
1245
1246distdir: $(DISTFILES)
1247	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1248	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1249	list='$(DISTFILES)'; \
1250	  dist_files=`for file in $$list; do echo $$file; done | \
1251	  sed -e "s|^$$srcdirstrip/||;t" \
1252	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1253	case $$dist_files in \
1254	  */*) $(MKDIR_P) `echo "$$dist_files" | \
1255			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1256			   sort -u` ;; \
1257	esac; \
1258	for file in $$dist_files; do \
1259	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1260	  if test -d $$d/$$file; then \
1261	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1262	    if test -d "$(distdir)/$$file"; then \
1263	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1264	    fi; \
1265	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1266	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1267	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1268	    fi; \
1269	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1270	  else \
1271	    test -f "$(distdir)/$$file" \
1272	    || cp -p $$d/$$file "$(distdir)/$$file" \
1273	    || exit 1; \
1274	  fi; \
1275	done
1276check-am: all-am
1277	$(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1278	$(MAKE) $(AM_MAKEFLAGS) check-TESTS
1279check: check-am
1280all-am: Makefile $(PROGRAMS) all-local
1281installdirs:
1282install: install-am
1283install-exec: install-exec-am
1284install-data: install-data-am
1285uninstall: uninstall-am
1286
1287install-am: all-am
1288	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1289
1290installcheck: installcheck-am
1291install-strip:
1292	if test -z '$(STRIP)'; then \
1293	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1294	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1295	      install; \
1296	else \
1297	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1298	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1299	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1300	fi
1301mostlyclean-generic:
1302	-test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1303	-test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1304	-test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1305
1306clean-generic:
1307
1308distclean-generic:
1309	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1310	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1311
1312maintainer-clean-generic:
1313	@echo "This command is intended for maintainers to use"
1314	@echo "it deletes files that may require special tools to rebuild."
1315clean: clean-am
1316
1317clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
1318	clean-noinstPROGRAMS mostlyclean-am
1319
1320distclean: distclean-am
1321	-rm -rf ./$(DEPDIR)
1322	-rm -f Makefile
1323distclean-am: clean-am distclean-compile distclean-generic \
1324	distclean-tags
1325
1326dvi: dvi-am
1327
1328dvi-am:
1329
1330html: html-am
1331
1332html-am:
1333
1334info: info-am
1335
1336info-am:
1337
1338install-data-am:
1339
1340install-dvi: install-dvi-am
1341
1342install-dvi-am:
1343
1344install-exec-am:
1345
1346install-html: install-html-am
1347
1348install-html-am:
1349
1350install-info: install-info-am
1351
1352install-info-am:
1353
1354install-man:
1355
1356install-pdf: install-pdf-am
1357
1358install-pdf-am:
1359
1360install-ps: install-ps-am
1361
1362install-ps-am:
1363
1364installcheck-am:
1365
1366maintainer-clean: maintainer-clean-am
1367	-rm -rf ./$(DEPDIR)
1368	-rm -f Makefile
1369maintainer-clean-am: distclean-am maintainer-clean-generic
1370
1371mostlyclean: mostlyclean-am
1372
1373mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1374	mostlyclean-libtool mostlyclean-local
1375
1376pdf: pdf-am
1377
1378pdf-am:
1379
1380ps: ps-am
1381
1382ps-am:
1383
1384uninstall-am:
1385
1386.MAKE: check-am install-am install-strip
1387
1388.PHONY: CTAGS GTAGS TAGS all all-am all-local check check-TESTS \
1389	check-am clean clean-checkPROGRAMS clean-generic clean-libtool \
1390	clean-noinstPROGRAMS cscopelist-am ctags ctags-am distclean \
1391	distclean-compile distclean-generic distclean-libtool \
1392	distclean-tags distdir dvi dvi-am html html-am info info-am \
1393	install install-am install-data install-data-am install-dvi \
1394	install-dvi-am install-exec install-exec-am install-html \
1395	install-html-am install-info install-info-am install-man \
1396	install-pdf install-pdf-am install-ps install-ps-am \
1397	install-strip installcheck installcheck-am installdirs \
1398	maintainer-clean maintainer-clean-generic mostlyclean \
1399	mostlyclean-compile mostlyclean-generic mostlyclean-libtool \
1400	mostlyclean-local pdf pdf-am ps ps-am recheck tags tags-am \
1401	uninstall uninstall-am
1402
1403.PRECIOUS: Makefile
1404
1405
1406# List all build rules defined by HDF5 Makefiles as "PHONY" targets here.
1407# This tells the Makefiles that these targets are not files to be built but
1408# commands that should be executed even if a file with the same name already
1409# exists.
1410.PHONY: build-check-clean build-check-p build-check-s build-lib build-progs \
1411        build-tests check-clean check-install check-p check-s check-vfd \
1412        install-doc lib progs tests uninstall-doc _exec_check-s _test help
1413
1414help:
1415	@$(top_srcdir)/bin/makehelp
1416
1417# lib/progs/tests targets recurse into subdirectories. build-* targets
1418# build files in this directory.
1419build-lib: $(LIB)
1420build-progs: $(LIB) $(PROGS)
1421build-tests: $(LIB) $(PROGS) $(chk_TESTS)
1422
1423# General rule for recursive building targets.
1424# BUILT_SOURCES contain targets that need to be built before anything else
1425# in the directory (e.g., for Fortran type detection)
1426lib progs tests check-s check-p :: $(BUILT_SOURCES)
1427	@$(MAKE) $(AM_MAKEFLAGS) build-$@ || exit 1;
1428	@for d in X $(SUBDIRS); do                                             \
1429	    if test $$d != X && test $$d != .; then                           \
1430	        (set -x; cd $$d && $(MAKE) $(AM_MAKEFLAGS) $@) || exit 1;     \
1431	    fi;                                                               \
1432	done
1433
1434# General rule for recursive cleaning targets.  Like the rule above,
1435# but doesn't require building BUILT_SOURCES.
1436check-clean ::
1437	@$(MAKE) $(AM_MAKEFLAGS) build-$@ || exit 1;
1438	@for d in X $(SUBDIRS); do                                             \
1439	    if test $$d != X && test $$d != .; then                           \
1440	        (set -x; cd $$d && $(MAKE) $(AM_MAKEFLAGS) $@) || exit 1;     \
1441	    fi;                                                               \
1442	done
1443
1444# Tell Automake to build tests when the user types `make all' (this is
1445# not its default behavior).  Also build EXTRA_LIB and EXTRA_PROG since
1446# Automake won't build them automatically, either.
1447all-local: $(EXTRA_LIB) $(EXTRA_PROG) $(chk_TESTS)
1448
1449# make install-doc doesn't do anything outside of doc directory, but
1450# Makefiles should recognize it.
1451# UPDATE: docs no longer reside in this build tree, so this target
1452# is deprecated.
1453install-doc uninstall-doc:
1454	@echo "Nothing to be done."
1455
1456# clean up files generated by tests so they can be re-run.
1457build-check-clean:
1458	$(RM) -rf $(CHECK_CLEANFILES)
1459
1460# run check-clean whenever mostlyclean is run
1461mostlyclean-local: build-check-clean
1462
1463# check-install is just a synonym for installcheck
1464check-install: installcheck
1465
1466# Run each test in order, passing $(TEST_FLAGS) to the program.
1467# Since tests are done in a shell loop, "make -i" does apply inside it.
1468# Set HDF5_Make_Ignore to a non-blank string to ignore errors inside the loop.
1469# The timestamps give a rough idea how much time the tests use.
1470#
1471# Note that targets in chk_TESTS (defined above) will be built when the user
1472# types 'make tests' or 'make check', but only programs in TEST_PROG,
1473# TEST_PROG_PARA, or TEST_SCRIPT will actually be executed.
1474check-TESTS: test
1475
1476test _test:
1477	@$(MAKE) build-check-s
1478	@$(MAKE) build-check-p
1479
1480# Actual execution of check-s.
1481build-check-s: $(LIB) $(PROGS) $(chk_TESTS)
1482	@if test -n "$(TEST_PROG)$(TEST_SCRIPT)"; then      \
1483	   echo "===Serial tests in `echo ${PWD} | sed -e s:.*/::` begin `date`==="; \
1484	fi
1485	@$(MAKE) $(AM_MAKEFLAGS) _exec_check-s
1486	@if test -n "$(TEST_PROG)$(TEST_SCRIPT)"; then      \
1487	    echo "===Serial tests in `echo ${PWD} | sed -e s:.*/::` ended `date`===";\
1488	fi
1489
1490_exec_check-s: $(TEST_PROG_CHKEXE) $(TEST_SCRIPT_CHKSH)
1491
1492# The dummy.chkexe here prevents the target from being
1493# empty if there are no tests in the current directory.
1494# $${log} is the log file.
1495# $${tname} is the name of test.
1496$(TEST_PROG_CHKEXE) $(TEST_PROG_PARA_CHKEXE) dummy.chkexe_:
1497	@if test "X$@" != "X.chkexe_" && test "X$@" != "Xdummy.chkexe_"; then \
1498	   tname=$(@:.chkexe_=)$(EXEEXT);\
1499	   log=$(@:.chkexe_=.chklog); \
1500	   echo "============================"; \
1501	   if $(top_srcdir)/bin/newer $(@:.chkexe_=.chkexe) $${tname}; then \
1502	      echo "No need to test $${tname} again."; \
1503	   else \
1504              if test -n "$(REALTIMEOUTPUT)"; then \
1505                 echo "============================" | tee $${log}; \
1506              else \
1507                 echo "============================" > $${log}; \
1508              fi; \
1509              if test "X$(FORTRAN_API)" = "Xyes"; then \
1510                 echo "Fortran API: Testing $(HDF5_DRIVER) $${tname} $(TEST_FLAGS)"; \
1511                 if test -n "$(REALTIMEOUTPUT)"; then \
1512                    echo "Fortran API: $(HDF5_DRIVER) $${tname} $(TEST_FLAGS) Test Log" | tee -a $${log}; \
1513                 else \
1514                    echo "Fortran API: $(HDF5_DRIVER) $${tname} $(TEST_FLAGS) Test Log" >> $${log}; \
1515                 fi; \
1516              elif test "X$(CXX_API)" = "Xyes"; then \
1517                 echo "C++ API: Testing $(HDF5_DRIVER) $${tname} $(TEST_FLAGS)"; \
1518                 if test -n "$(REALTIMEOUTPUT)"; then \
1519                    echo "C++ API: $(HDF5_DRIVER) $${tname} $(TEST_FLAGS) Test Log" | tee -a $${log};\
1520                 else \
1521                    echo "C++ API: $(HDF5_DRIVER) $${tname} $(TEST_FLAGS) Test Log" >> $${log};\
1522                 fi; \
1523              else \
1524                 echo "Testing $(HDF5_DRIVER) $${tname} $(TEST_FLAGS)"; \
1525                 if test -n "$(REALTIMEOUTPUT)"; then \
1526                    echo "$(HDF5_DRIVER) $${tname} $(TEST_FLAGS) Test Log" | tee -a $${log}; \
1527                 else \
1528                    echo "$(HDF5_DRIVER) $${tname} $(TEST_FLAGS) Test Log" >> $${log}; \
1529                 fi; \
1530              fi; \
1531              if test -n "$(REALTIMEOUTPUT)"; then \
1532                 echo "============================" | tee -a $${log}; \
1533              else \
1534                 echo "============================" >> $${log}; \
1535              fi; \
1536              if test -n "$(REALTIMEOUTPUT)"; then \
1537                 srcdir="$(srcdir)" \
1538                 $(TIME) $(RUNEXEC) ./$${tname} $(TEST_FLAGS) | tee -a $${log} 2>&1 \
1539                 && touch $(@:.chkexe_=.chkexe) || \
1540                 (test $$HDF5_Make_Ignore && echo "*** Error ignored") || \
1541                 (cat $${log} && false) || exit 1; \
1542              else \
1543                 srcdir="$(srcdir)" \
1544                 $(TIME) $(RUNEXEC) ./$${tname} $(TEST_FLAGS) >> $${log} 2>&1 \
1545                 && touch $(@:.chkexe_=.chkexe) || \
1546                 (test $$HDF5_Make_Ignore && echo "*** Error ignored") || \
1547                 (cat $${log} && false) || exit 1; \
1548              fi; \
1549	      echo "" >> $${log}; \
1550              if test -n "$(REALTIMEOUTPUT)"; then \
1551                 echo "Finished testing $${tname} $(TEST_FLAGS)" | tee -a $${log}; \
1552                 echo "============================" | tee -a $${log}; \
1553              else \
1554                 echo "Finished testing $${tname} $(TEST_FLAGS)" >> $${log}; \
1555                 echo "============================" >> $${log}; \
1556              fi; \
1557              if test -z "$(REALTIMEOUTPUT)"; then \
1558                 cat $${log}; \
1559              fi; \
1560	   fi; \
1561	fi
1562
1563# The dummysh.chkexe here prevents the target from being
1564# empty if there are no tests in the current directory.
1565# $${log} is the log file.
1566# $${tname} is the name of test.
1567$(TEST_SCRIPT_CHKSH) $(TEST_SCRIPT_PARA_CHKSH) dummysh.chkexe_:
1568	@if test "X$@" != "X.chkexe_" && test "X$@" != "Xdummysh.chkexe_"; then \
1569	   cmd=$(@:.chkexe_=);\
1570	   tname=`basename $$cmd`;\
1571	   chkname=`basename $(@:.chkexe_=.chkexe)`;\
1572	   log=`basename $(@:.chkexe_=.chklog)`; \
1573	   echo "============================"; \
1574	   if $(top_srcdir)/bin/newer $${chkname} $$cmd $(SCRIPT_DEPEND); then \
1575	      echo "No need to test $${tname} again."; \
1576	   else \
1577	      echo "============================" > $${log}; \
1578	      if test "X$(FORTRAN_API)" = "Xyes"; then \
1579	         echo "Fortran API: Testing $${tname} $(TEST_FLAGS)"; \
1580	         echo "Fortran API: $${tname} $(TEST_FLAGS) Test Log" >> $${log}; \
1581	      elif test "X$(CXX_API)" = "Xyes"; then \
1582	         echo "C++ API: Testing $${tname} $(TEST_FLAGS)"; \
1583	         echo "C++ API: $${tname} $(TEST_FLAGS) Test Log" >> $${log}; \
1584	      else \
1585	         echo "Testing $${tname} $(TEST_FLAGS)"; \
1586	         echo "$${tname} $(TEST_FLAGS) Test Log" >> $${log}; \
1587	      fi; \
1588	      echo "============================" >> $${log}; \
1589	      RUNSERIAL="$(RUNSERIAL)" RUNPARALLEL="$(RUNPARALLEL)"           \
1590	      srcdir="$(srcdir)" \
1591	         $(TIME) $(SHELL) $$cmd $(TEST_FLAGS) >> $${log} 2>&1 \
1592	         && touch $${chkname} || \
1593	         (test $$HDF5_Make_Ignore && echo "*** Error ignored") || \
1594	         (cat $${log} && false) || exit 1; \
1595	      echo "" >> $${log}; \
1596	      echo "Finished testing $${tname} $(TEST_FLAGS)" >> $${log}; \
1597	      echo "============================" >> $${log}; \
1598	      echo "Finished testing $${tname} $(TEST_FLAGS)"; \
1599	      cat $${log}; \
1600	   fi; \
1601	   echo "============================"; \
1602	fi
1603
1604# Actual execution of check-p.
1605build-check-p: $(LIB) $(PROGS) $(chk_TESTS)
1606	@if test -n "$(TEST_PROG_PARA)$(TEST_SCRIPT_PARA)"; then      \
1607	   echo "===Parallel tests in `echo ${PWD} | sed -e s:.*/::` begin `date`==="; \
1608	fi
1609	@if test -n "$(TEST_PROG_PARA)"; then                                \
1610	    echo "**** Hint ****";                                            \
1611	    echo "Parallel test files reside in the current directory"        \
1612	         "by default.";                                               \
1613	    echo "Set HDF5_PARAPREFIX to use another directory. e.g.,";       \
1614	    echo "    HDF5_PARAPREFIX=/PFS/user/me";                          \
1615	    echo "    export HDF5_PARAPREFIX";                                \
1616	    echo "    make check";                                            \
1617	    echo "**** end of Hint ****";                                     \
1618	fi
1619	@for test in $(TEST_PROG_PARA) dummy; do                             \
1620	   if test $$test != dummy; then                                      \
1621	      $(MAKE) $(AM_MAKEFLAGS) $$test.chkexe_ \
1622	      RUNEXEC="$(RUNPARALLEL)" || exit 1; \
1623	   fi;                                                                \
1624	done
1625	@for test in $(TEST_SCRIPT_PARA) dummy; do                           \
1626	  if test $$test != dummy; then                                      \
1627	    $(MAKE) $(AM_MAKEFLAGS) $$test.chkexe_ || exit 1; \
1628	  fi;                                                                 \
1629	done
1630	@if test -n "$(TEST_PROG_PARA)$(TEST_SCRIPT_PARA)"; then      \
1631	    echo "===Parallel tests in `echo ${PWD} | sed -e s:.*/::` ended `date`===";\
1632	fi
1633
1634# Run test with different Virtual File Driver
1635check-vfd: $(LIB) $(PROGS) $(chk_TESTS)
1636	@for vfd in $(VFD_LIST) dummy; do                                     \
1637	    if test $$vfd != dummy; then                                      \
1638	        echo "============================";                          \
1639	        echo "Testing Virtual File Driver $$vfd";                     \
1640	        echo "============================";                          \
1641	        $(MAKE) $(AM_MAKEFLAGS) check-clean || exit 1;                \
1642	        HDF5_DRIVER=$$vfd $(MAKE) $(AM_MAKEFLAGS) check || exit 1;    \
1643	    fi;                                                               \
1644	done
1645
1646# Tell versions [3.59,3.63) of GNU make to not export all variables.
1647# Otherwise a system limit (for SysV at least) may be exceeded.
1648.NOEXPORT:
1649